Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006798Dwarf FortressAdventure Mode -- AIpublic2014-07-09 01:352018-06-15 22:55
ReporterTzalizkan 
Assigned ToToady One 
PrioritylowSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformPCOSMac OS XOS Version10.6.8
Product Version0.40.01 
Target VersionFixed in Version0.44.11 
Summary0006798: Sleeping NPCs don't wake up
DescriptionI waited around for those dwarves to start screaming their heads off at the pile of friendly gore I left on the floor of their little hillock, but long past noon, they were all still asleep. The instant I fast traveled, they all woke up.
Steps To ReproduceSimply wait around all day, not sleeping, waiting by command, or fast travelling. Just passing turns or walking around. They won't wake up.
Additional InformationThis might seem minor, but it also means that you can literally kill off the entire village in one night without a single witness or person waking up. *ERHM* Not saying I've done that before.

Also worth testing on humans and elves.
Tagsadventure mode, sleep
Attached Files

- Relationships
related to 0007108new Talking to sleeping people doesn't wake them up 
has duplicate 0007391resolvedFootkerchief NPC's sleep forever 
has duplicate 0007458resolvedFootkerchief marching armies in adventure mode stay asleep while sieging 
has duplicate 0007827resolvedFootkerchief Large AI group sleeping forever in tents, refuse to wake up 
has duplicate 0007945resolvedFootkerchief Advmode NPC campers are lethargic 
has duplicate 0008767resolvedFootkerchief Elf princess camping in the woods is always asleep. 
has duplicate 0010329resolvedDwarfu Refugees and armies will sleep forever 
has duplicate 0010655resolvedLoci Tents with sleeping units unable to wake up even if hurt 

-  Notes
(0026709)
QuantumTroll (reporter)
2014-07-16 21:41

The issue I posted doesn't necessarily duplicate this one. Fast travel and sleep do not wake up the NPC's found in my save.
(0026714)
Tzalizkan (reporter)
2014-07-16 23:41

@QuantumTroll
Aye, and I recently found fast travel and sleep don't wake them up, either. Poor sods.

That being said, at least they won't be awake for inevitably painful Fun.
(0026716)
Rafal99 (reporter)
2014-07-16 23:50

I just got this issue in a camp of a "marching" army.
Every single one of them sleeps, if I wait they still still sleep, BUT if I sleep until dawn myself they appear awake when I wake up, but the next tick they all sleep again.
(0026717)
Footkerchief (manager)
2014-07-16 23:50

K, sounds like I can just edit this one and keep the other one as a duplicate, then.

QuantumTroll's save from 0007391: http://dffd.wimbli.com/file.php?id=9017 [^]
(0026733)
QuantumTroll (reporter)
2014-07-17 04:22

I had my vampire kill over a hundred of them, and a few of them finally did wake up. Very sporadic, literally only a few percent. Later, when I returned after some fast travel, I discovered new people in the dead people's huts and some empty huts, so they do seem to move around after unloading.
(0028494)
letitslide (reporter)
2014-08-06 15:59

This doesn't seem to be resolved in the newest updates.
(0029267)
smjjames (reporter)
2014-08-18 15:54
edited on: 2014-08-18 16:03

I've got one in 40.09 where I killed the guards (at night, like a ninja) at the keep in an elven occupied town and shortly after I finished, a bunch of refugees left and camped nearby.

When I visited them the next morning, they were still sleeping, waited a couple hours, still sleeping, slept the night, STILL sleeping. Then when I waited in one of the tents, bam, they woke up.

http://dffd.wimbli.com/file.php?id=9435 [^] My adventurer is between the two tents, not sure if theres a third one somewhere.

Also, I noticed in the errorlog that it was generating a lot of 'Empty announcement 130', that might be a clue to what is going on with the bug.

Edit: Pfft, I pressed . once and they fell asleep again.

Edit2: Slept the night and I noticed one of the *'s moved and the people in the tent had left when I woke up.

edit3: I'm also seeing a bunch of 'guard army unattatched from parent army errors'.

(0029829)
smjjames (reporter)
2014-08-31 13:03
edited on: 2014-08-31 13:20

Here's one of a refugee camp that is sleeping forever in 40.10. The wolf corpses are just a bunch of wolves that decided to ambush when I tried to wait for an hour in one of the tents.

Lots of 'Empty announcement 130' errors in the errorlog.

http://dffd.wimbli.com/file.php?id=9581 [^]

Also, when I tried waiting the second time, I saw two army indicators split off, tried to chase one down, but I lost it.

Edit: Even tried DFhacks siren to force them awake, didn't help. I didn't really expect that command to work in adventure mode, though the announcement text showed up.

(0030241)
Robsoie (reporter)
2014-09-17 21:00
edited on: 2014-09-17 21:02

Here's a save for 40.13 (world generated in 40.13 too), just ran into a * in the world map only to see that it was a tent full of dwarf civilians with childs.
They're apparently stuck in sleeping, as it's day and they're still sleeping, my party battled 2 alligators next to that tent and none woke up, so i assume it's the same bug.

http://dffd.wimbli.com/file.php?id=9728 [^]

in errorlog.txt :
None at 9,123,118
camp order missing parent -- army will camp forever

followed by a lot of :
Empty announcement 130

(0030256)
Robsoie (reporter)
2014-09-19 06:50
edited on: 2014-09-19 06:51

another 40.13 case for this bug if saves are still needed :
http://dffd.wimbli.com/file.php?id=9735 [^]

in mountains i ran into a * that is a tent full of goblins bandits (there's an overlord too) and all of them are sleeping in the middle of the day and never wake up

(0030448)
smjjames (reporter)
2014-09-29 11:29
edited on: 2014-09-29 11:39

Here's one with an additional oddity, theres a stray llama sleeping in there. No idea what is going on there, equivalent of horse thieves maybe? Though legendsviewer doesn't show her as belonging to any criminal group.

I actually met the spearmaster earlier in one of the nearby hillocks, forget which one, pillarglazed I believe, which is just to the west.

When I slept to see if they'd wake up, I promptly got attacked and treated like a hostile, no idea what's going on there.

http://dffd.wimbli.com/file.php?id=9820 [^]

(0030455)
smjjames (reporter)
2014-09-29 14:39
edited on: 2014-09-29 14:40

Here's one that's even odder, while the save is from earlier (I noticed it when an army icon seemed to split off from my group, so I investigated), I went back to remove it from the game.

However, no matter how I kill them, the animals keep respawning.

1. Kill all creatures via whatever method (the sleeping dwarf doesn't respawn).

2. Either go to fast travel or walk far enough for the spot to be offloaded.

3. Return to the spot.

Version 40.13
http://dffd.wimbli.com/file.php?id=9825 [^]

(0030630)
smjjames (reporter)
2014-10-13 13:53
edited on: 2014-10-13 13:54

I've got another save (haven't actually made a .zip folder yet, but I know where the spot is) of a sleeping animal army, should I post it? Though it's likely related to 0008427 since I saw a whole host of army symbols run away from the fort site and something happened to spawn lots of subterranean creatures as recruits.

Edit: Theres actually lots of those stationary 'animal armies' around the site.

(0030641)
smjjames (reporter)
2014-10-15 12:41
edited on: 2014-10-15 13:39

Here's one which has had the army stuck sleeping at the departure point for almost FIVE MONTHS.

According to the questlog, it started Slate 20th, it's now Limestone 14th. I've checked, the army commander is there in the second tent to the east. I actually visited it months earlier and had to check legends on the location of the commander, then went to the site and there it was, just outside the forest retreat.

http://dffd.wimbli.com/file.php?id=9926 [^]

They're also all civillians for some reason, but that's probably a different bug.

Going to use fire to kill them so that I don't get the kills associated with me and see what happens next with the invasion.

Edit: The heck? They simply respawned again, though I didn't actually kill all of them the first time.

Edit2: Even after giving them a magma bath, they respawn again.

Edit3: Tried slapping [NO_SLEEP] on dwarves and it stops them from sleeping. They don't go anywhere though and I can't find the army commander.

Edit4: All it does is stop them from sleeping, doesn't fix whatever is holding them in place.

(0030916)
axus (reporter)
2014-11-09 11:21

I saw this in 40.15. When I started a third adventurer from my retired fort, I looked at the tents on site and they were dwarves who lived there when I was running the fort. In this case, I think they are all refugees, maybe with nowhere to go.
(0031436)
Toady One (administrator)
2014-12-22 12:05

I've fixed the "camp forever" bug, but there are still issues with sleeping vs. armies that are legitimately camping forever (like refugee camps), so I'm going to leave this open.
(0032848)
JayJayForce (reporter)
2015-07-06 07:09

Just had this happen in 40.24

Near extinct dwarven civ with only site being a nomad camp. At end of Worldgen, the leader of an occupied hillocks (only dwarfs) formerly belonging to the civ decided to become queen and left. Legends say a Goblin replaced her as leader and settled in the hillock, but world sites and pop doesn't list him and indicates no one is in control of the site. (appears as ruin on map)

Found both of them camping just outside of the site, both stuck sleeping. Killed the Gob leader before committing suicide and starting new adventurer to increment time. Nothing changed except Gob camp no longer shows on map.
(0036955)
squamouss (reporter)
2017-11-24 03:40

Just chiming in to say that this bug is still active.
(0037360)
Quietust (reporter)
2017-12-19 21:33

The issue seems to be within the unit's assigned army_controller - if the last field in army_controller is equal to 4, and the preceding pointer's target object has the 1st bit in its 2nd field clear, the unit is stuck sleeping seemingly forever, and setting that bit causes the unit to wake up.

Those criteria match the logic for displaying "Z" (asleep) versus "X" (unconscious).
(0037361)
ArrowThunder (reporter)
2017-12-19 21:43

http://dffd.bay12games.com/file.php?id=13327 [^] is a 44.02 save with a bugged sleeper onscreen and more to some tents a short ways to the west. Noteworthy: bugged sleepers do NOT have a job, normal sleepers are have the sleep job.
(0037420)
Robsoie (reporter)
2017-12-28 19:59
edited on: 2017-12-28 20:01

Still present in 44.03 , i just went to an empty town that was apparently besieged by a lot of * in the map (a npc in another hamlet mentionned that town was a target of an army) , and every single of those * was a campfire near a tent and a single individual sleeping forever in it as usual.

(0037852)
squamouss (reporter)
2018-03-03 21:05

http://dffd.bay12games.com/file.php?id=13539 [^]

Here is a save that will put you in front of a tent of NPCs suffering from this bug. Version is 44.05, so its still happening.

- Issue History
Date Modified Username Field Change
2014-07-09 01:35 Tzalizkan New Issue
2014-07-16 13:59 Footkerchief Relationship added has duplicate 0007391
2014-07-16 14:00 Footkerchief Relationship added related to 0001708
2014-07-16 14:00 Footkerchief Relationship added related to 0007108
2014-07-16 14:00 Footkerchief Relationship deleted related to 0001708
2014-07-16 21:41 QuantumTroll Note Added: 0026709
2014-07-16 23:41 Tzalizkan Note Added: 0026714
2014-07-16 23:49 Footkerchief Summary Dwarves sleeping from the night before will not wake up until you leave the area or fast travel. => Dwarves sleeping from the night before will not wake up
2014-07-16 23:50 Rafal99 Note Added: 0026716
2014-07-16 23:50 Footkerchief Note Added: 0026717
2014-07-17 04:22 QuantumTroll Note Added: 0026733
2014-07-18 13:44 Footkerchief Summary Dwarves sleeping from the night before will not wake up => Sleeping NPCs don't wake up until you travel
2014-07-18 13:44 Footkerchief Relationship added has duplicate 0007458
2014-07-18 13:44 Footkerchief Summary Sleeping NPCs don't wake up until you travel => Sleeping NPCs don't wake up
2014-08-03 23:21 Footkerchief Relationship added has duplicate 0007827
2014-08-06 15:59 letitslide Note Added: 0028494
2014-08-06 21:43 4maskwolf Issue Monitored: 4maskwolf
2014-08-11 05:50 Footkerchief Relationship added has duplicate 0007945
2014-08-18 15:54 smjjames Note Added: 0029267
2014-08-18 15:56 smjjames Note Edited: 0029267 View Revisions
2014-08-18 15:58 smjjames Note Edited: 0029267 View Revisions
2014-08-18 16:03 smjjames Note Edited: 0029267 View Revisions
2014-08-18 17:09 Footkerchief Assigned To => Footkerchief
2014-08-18 17:09 Footkerchief Status new => confirmed
2014-08-31 13:03 smjjames Note Added: 0029829
2014-08-31 13:16 smjjames Note Edited: 0029829 View Revisions
2014-08-31 13:20 smjjames Note Edited: 0029829 View Revisions
2014-09-17 21:00 Robsoie Note Added: 0030241
2014-09-17 21:01 Robsoie Note Edited: 0030241 View Revisions
2014-09-17 21:02 Robsoie Note Edited: 0030241 View Revisions
2014-09-17 23:06 BenLubar Issue Monitored: BenLubar
2014-09-18 03:23 Mopsy Issue Monitored: Mopsy
2014-09-19 06:50 Robsoie Note Added: 0030256
2014-09-19 06:51 Robsoie Note Edited: 0030256 View Revisions
2014-09-29 11:29 smjjames Note Added: 0030448
2014-09-29 11:39 smjjames Note Edited: 0030448 View Revisions
2014-09-29 14:39 smjjames Note Added: 0030455
2014-09-29 14:40 smjjames Note Edited: 0030455 View Revisions
2014-10-13 13:53 smjjames Note Added: 0030630
2014-10-13 13:54 smjjames Note Edited: 0030630 View Revisions
2014-10-15 12:41 smjjames Note Added: 0030641
2014-10-15 12:42 smjjames Note Edited: 0030641 View Revisions
2014-10-15 13:07 smjjames Note Edited: 0030641 View Revisions
2014-10-15 13:24 smjjames Note Edited: 0030641 View Revisions
2014-10-15 13:33 smjjames Note Edited: 0030641 View Revisions
2014-10-15 13:39 smjjames Note Edited: 0030641 View Revisions
2014-10-16 11:03 NekoHatsu Issue Monitored: NekoHatsu
2014-10-22 13:01 SolPyre Tag Attached: adventure mode
2014-10-22 13:03 SolPyre Tag Attached: sleep
2014-11-09 11:21 axus Note Added: 0030916
2014-12-22 12:05 Toady One Note Added: 0031436
2015-01-28 07:11 Footkerchief Relationship added has duplicate 0008767
2015-07-06 07:09 JayJayForce Note Added: 0032848
2017-11-17 17:49 Dwarfu Relationship added has duplicate 0010329
2017-11-24 03:40 squamouss Note Added: 0036955
2017-12-19 21:33 Quietust Note Added: 0037360
2017-12-19 21:43 ArrowThunder Note Added: 0037361
2017-12-20 00:32 ArrowThunder Issue Monitored: ArrowThunder
2017-12-28 19:59 Robsoie Note Added: 0037420
2017-12-28 19:59 Robsoie Note Edited: 0037420 View Revisions
2017-12-28 20:01 Robsoie Note Edited: 0037420 View Revisions
2018-03-03 21:05 squamouss Note Added: 0037852
2018-03-22 10:27 Loci Relationship added has duplicate 0010655
2018-03-22 10:30 Huntthetroll Issue Monitored: Huntthetroll
2018-06-15 22:55 Toady One Status confirmed => resolved
2018-06-15 22:55 Toady One Fixed in Version => Next Version
2018-06-15 22:55 Toady One Resolution open => fixed
2018-06-15 22:55 Toady One Assigned To Footkerchief => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker